<?php 

if (!is_admin()) {
	die ("Unauthorized.");
}
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

function wpqotd_install()
 {
	
	$wp_qotd_sql = "CREATE TABLE 'wp_qotd' (
		qid int(11) NOT NULL auto_increment COMMENT 'Quote ID',
		blog_id int(11) NOT NULL COMMENT 'Current Blog ID',
		author varchar(128) NOT NULL COMMENT 'Quote Author Name',
		cite varchar(255) NOT NULL COMMENT 'Quote CITE Reference URL',
		quote text NOT NULL COMMENT 'Quote',
		PRIMARY KEY  (qid),
		KEY 'blog_id' (blog_id)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='WP Quote Of The Day';";
	dbDelta($wp_qotd_sql);

}

?>
