<?php 
class WpQotd extends WP_Widget 
{
	/** constructor */
	function WpQotd() 
	{
		parent::WP_Widget(false, $name = 'Quote of the day');
	}
	
	/** widget settings */
	function widget($args, $instance) 
	{
		extract( $args );
	
		$title = apply_filters('widget_title', empty( $instance['title'] ) ? 'Quote of the Day' : $instance['title']);
	
		echo $before_widget . $before_title . $title . $after_title;
		wpqotd_displayquote();
		echo $after_widget;
	}	
	/**  widget form creation **/
	function form($instance)
	{
		//Defaults
		$title = esc_attr( $instance['title'] );
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?> 
				<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</label>
		</p>
		<?php
	}

}//end of class
// To register WpQotd plugin widget
add_action('widgets_init', create_function('', 'return register_widget("WpQotd");'));
?>