<?php
if (!is_admin()) 
{
	die ("Unauthorized.");
}

function wpqotd_QuotesListAdmin()
{
	global $wpdb,$blog_id;
	ob_start();
	?>
	<h2>Quote Of The Day </h2>
	<h3><font color="green">Quote Settings</font></h3>
	<p>Default display option for the plug-in.
		<input name="action" type="hidden" id="action" value="setqotd" />
		<select id="wp_qotd_freq" name="wp_qotd_freq" style="width:100px;">
		<option>Each Page</option>
		</select>
	</p>
	<div class="submit">
		<a class="button" href="admin.php?page=wp-qotd-admin&option=add" title="Add Quote Of The Day">Add QUOTE</a>&nbsp;</br>
	</div>
	<div class="wpqotd_quotelist_div">
		<table  width="100%" class="wpqotd_quotelist_tbl">
			<th width="8%">Quote ID</th>
			<th width="10%">Author</th>
			<th width="15%">Cite</th>
			<th width="53%">Quote</th>
			<th width="10%">Edit</th>
			<th width="10%">Delete</th>
<?php 
	$wp_qotd_list = $wpdb->get_results("SELECT * FROM wp_qotd WHERE blog_id='$blog_id' ORDER BY author ASC", OBJECT);
	if ($wp_qotd_list) 
	{
		foreach($wp_qotd_list as $result) 
		{
?>
			<tr>
				<td width="8%" style="text-align: center;"><a href="admin.php?page=wp-qotd-admin&option=edit&qid=<?php echo$result->qid;?>" title="Edit Quote details."><?php echo $result->qid; ?></a></td>
				<td width="10%"><?php echo stripslashes($result->author);?></td>
				<td width="15%" style="text-align: center;"><?php echo stripslashes($result->cite);?></td>
				<td width="53%"><?php echo stripslashes($result->quote)?></td>
				<td style="text-align: center;"><a  href="admin.php?page=wp-qotd-admin&option=edit&qid=<?php echo$result->qid;?>" title="Edit Quote Details" >
						<img src="<?php echo wpqotd_getplugin_dir()?>/images/wp_edit.png" alt="Edit Quote Details" />
					</a>
				</td >
				<td style="text-align: center;"><a href="admin.php?page=wp-qotd-admin&option=delete&qid=<?php echo$result->qid;?>" title="Delete Quote." onclick="return confirm('Do you want to delete this quote ?')">
						<img src="<?php echo wpqotd_getplugin_dir()?>/images/wp_delete.png" />
					</a>
				</td>
			</tr>
<?php 	
		}
	}//end of if
	else 
	{
	?>
		    <tr>
		    	<td colspan="5">
		    		<b><font color="red">No Quotes Found.</font></b>
		    	</td>
	<?php 
	}?>
		</tbody>
	</table>
</div>
		<br />

	<div style="border-top:1px solid #E0E0FF;"><p>&nbsp;</p>
	
</div>
<?php }//end of function 
?>
 
<?php 

function wpqotd_QuotesManagement() 
{
	global $wpdb,$blog_id;
	ob_start();
	if ( isset($_REQUEST['qid']) && $_REQUEST['qid'] ) 
	{
		$wp_qid = $_REQUEST['qid'];
	} else 
	{
		$wp_qid = 0;
	}
	$option = $_GET['option'];
	
	switch ($option) 
	{
 	//Add New Quote		
		case "add":
			if ($_POST['action'] == "addqotd") 
			{
				$wp_qid = $wpdb->escape($_POST['qid']);
				$wp_author = $wpdb->escape($_POST['author']);
				$wp_cite = $wpdb->escape($_POST['cite']);
				$wp_quote = $wpdb->escape($_POST['quote']);
				if ($wp_author != '' && $wp_quote != '') 
				{
					$iquery = "INSERT INTO wp_qotd (qid,blog_id,author,cite,quote) VALUES (null,'$blog_id','$wp_author','$wp_cite','$wp_quote')";
					$result = $wpdb->query($iquery);
					if ($result == 1) 
					{
						echo '<div id="message" class="updated fade"><p><font color="green">New quote created.</font></p></div>';
						wpqotd_QuotesListAdmin();
						break;
					} else 
					{
						echo '<div id="message" class="error fade"><p><font color="red">Error creating Quote.</font></p></div>';
						wpqotd_QuotesListAdmin();
					}
				} else 
				{
					echo '<div id="message" class="error fade"><p><font color="red">Author and Quote fields are required..</font></p></div>';
				}
			}//end of if
	?>
			
<!-- Add new quote form -->
			
			<p>
				<h3><font color="green">Add New Quote</font></h3>
				<font>( To add a new Quote,fields marked <sup class="req"><font color="red">*</font></sup> are required.)</font>
			</p>
			<form action="" method="post" name="addquote" id="addquote">
			<div class="wpqotd_quotelist_div">
				<table class="form-table">
					<tr class="form-field">
						<th scope="row">
							<label for="author">Author<sup class="req"><font color="red">*</font></sup></label>
							<input name="action" type="hidden" id="action" value="addqotd" />
							<input name="op" type="hidden" id="op" value="add" />
						</th>
		
						<td>
							<input name="author" type="text" id="author" value="<?php echo stripslashes($wp_author)?>" style="width:200px;" />
							<span class="description">(Enter the Author\'s name.)</span>
						</td>
					</tr>
		
					<tr class="form-field">
						<th scope="row">
							<label for="cite">Source</label>
						</th>
						 <td>
						 	<textarea name="cite" id="cite" style="width:400px;height:60px;"><?php echo stripslashes($wp_cite)?></textarea>
							<span class="description">(Enter the URI source of this quote.)</span>
						 </td>
					</tr>
		
					<tr class="form-field">
						<th scope="row">
							<label for="quote">Quote<sup class="req"><font color="red">*</font></sup></label>
						</th>
						<td>
							<textarea name="quote" id="quote" style="width:400px;height:120px;"><?php echo stripslashes($wp_quote)?></textarea>
							<span class="description">(Enter the Quote without quotation marks.)</span>
						</td>
					</tr>
	
				</table>
				<p class="submit">
					<input name="addquote" type="submit" id="addquote" class="button" value="Save Quote" />
				</p>
				</div>
			</form><br /><br /><br />
	<?php 	
	
	break;
//Edit new Quote
		case "edit":
			if ($_POST['action'] == "editqotd") 
			{
				$wp_qid = $wpdb->escape($_POST['qid']);
				$wp_author = $wpdb->escape($_POST['author']);
				$wp_cite = $wpdb->escape($_POST['cite']);
				$wp_quote = $wpdb->escape($_POST['quote']);
				if ($wp_author != '' && $wp_quote != '') 
				{
					$iquery = "UPDATE wp_qotd SET blog_id='$blog_id',author='$wp_author',cite='$wp_cite', quote='$wp_quote' WHERE qid=$wp_qid";
					$result = $wpdb->query($iquery);
					if ($result == 1) 
					{
						echo '<div id="message" class="updated fade"><p><font color="green">Quote updated.</font></p></div>';
						wpqotd_QuotesListAdmin();
						break;
					} elseif ($result == 0 ) 
					{
						echo '<div id="message" class="updated fade"><p>No Update required.</p></div>';
						wpqotd_QuotesListAdmin();
						break;
					} 
					else 
					{
						echo '<div id="message" class="error fade"><p><font color="red">Error in editing.Please try again.</font></p></div>';
						wpqotd_QuotesListAdmin();
					}
				} 
				else 
				{
					echo '<div id="message" class="error fade"><p><font color="red">Author and Quote fields are required..</font></p></div>';
				}
			} 
			else 
			{
				$result = $wpdb->get_row("SELECT * FROM wp_qotd ");
				$wp_author = $result->author;
				$wp_cite = $result->cite;
				$wp_quote = $result->quote;
			}?>
<?php //Edit form ?>
			<h3><font color="green">Edit Quotes</font></h3>
			<p>To change the Quote, fields marked <sup class="req"><font color="red">*</font></sup> are required.</p>
			<form action="" method="post" name="editquote" id="editquote">
				<table class="form-table">
					<tr class="form-field">
						<th scope="row">
							<label for="author">Author<sup class="req"><font color="red">*</font></sup></label>
							<input name="action" type="hidden" id="action" value="editqotd" />
							<input name="op" type="hidden" id="op" value="edit" />
							<input name="qid" type="hidden" id="qid" value="<?php echo $wp_qid;?>" />
						</th>
		
						<td>
							<input name="author" type="text" id="author" value="<?php echo stripslashes($wp_author);?>" style="width:200px;" /><br />
							<span class="description">Enter the Author name.</span>
							</td>
					</tr>
		
					<tr class="form-field">
							<th scope="row"><label for="cite">Source</label></th>
							<td><textarea name="cite" id="cite" style="width:400px;height:60px;"><?php echo stripslashes($wp_cite)?></textarea><br />
							<span class="description">Enter the URI source of this quote.</span></td></tr>
		
					<tr class="form-field">
							<th scope="row"><label for="quote">Quote<sup class="req"><font color="red">*</font></sup></label></th>
							<td><textarea name="quote" id="quote" style="width:400px;height:120px;"><?php echo stripslashes($wp_quote)?></textarea><br />
									<span class="description">Enter the Quote without quotation marks.</span></td></tr>
	
				</table>
				<p class="submit">
					<input name="editquote" type="submit" id="editquote" class="button" value="Save Changes" /></p>
			</form>
				
<?php 			break;
//Delete quote		
		case "delete":
				$dquery=$wpdb->query("DELETE FROM wp_qotd WHERE qid=$wp_qid");
				if ($dquery) 
				{
					echo '<div id="message" class="updated fade"><p><font color="green">Quote deleted.</font></p></div>';
				} else {
					echo '<div id="message" class="error fade"><p><font color="red">Error deleting quote.</font></p></div>';
				}
			
			wpqotd_QuotesListAdmin();
			break;
	   default:	wpqotd_QuotesListAdmin();
	}
	
}


	

?>
