<script src="<?php echo wpqotd_getplugin_dir();?>/js/modernizr.custom.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script src="<?php echo wpqotd_getplugin_dir();?>/js/jquery.cbpQTRotator.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo wpqotd_getplugin_dir();?>/css/default.css" />
<link rel="stylesheet" type="text/css" href="<?php echo wpqotd_getplugin_dir();?>/css/wp-qotd.css" />
<link rel="stylesheet" type="text/css" href="<?php echo wpqotd_getplugin_dir();?>/css/component.css" />
		<script>
			$( function() 
			{
				$( '#cbp-qtrotator' ).cbpQTRotator();

			} );
		</script>
<?php
/*
Plugin Name: wp-qotd
Description: Simple WordPress Quote Of The Day plug-in.The admin can add quotes from back-end and these are displayed in a widget on the home page, inner pages etc.
Version:1.0.0
*/
	global $wpdb;
	include_once('wp-qotd-widget.php');
	
	if ( is_admin() ) 
	{
		include_once('wp-qotd-admin.php');
			
		/** Activate the plugin */
			
		function wpqotd_activate()
		{
			require_once(dirname(__FILE__).'/wp-qotd-install.php');
			wpqotd_install();
		}// END function activate
				
		register_activation_hook(__FILE__,'wpqotd_activate');
		
		/** Deactivate the plugin */
	    function wpqotd_deactivate()
	    {
	    	delete_option('wp_qotd');
	    
	    }// END function deactivate
	    
		register_deactivation_hook(__FILE__,'wpqotd_deactivate');
	
		/** Create Admin menu */
	    function wpqotd_createmenu()
	    {
	    	add_options_page('WP-QOTD', 'WP-QOTD', 0, 'wp-qotd-admin', 'wpqotd_QuotesManagement');
	    }
	    add_action( 'admin_menu', 'wpqotd_createmenu' );

}//end of admin check

	function wpqotd_getplugin_dir() 
	{
		if(!defined('WP_CONTENT_URL')) 
		{
			define( 'WP_CONTENT_URL', get_option('siteurl').plugin_basename(dirname(__FILE__)));
		}
		return WP_CONTENT_URL.'/plugins/wp-qotd';
	}
	
	function wpqotd_displayquote() 
	{
		global $wpdb,$blog_id;
		ob_start();
		$qotd_query = "SELECT * FROM wp_qotd WHERE blog_id='$blog_id' ";
		$result = $wpdb->get_results($qotd_query, OBJECT);
		$quotes_count=count($result);
		
		if($quotes_count==0)
		{
			echo '<div class="wp_quote_container">';
			
			echo '<span class="wp_qotd_quote"><font color="red"><i>No quotes found in the database.</i></font></span>';
			
			echo '</div>';
		}
		else{
		?>
		<div class="main">
					<div id="cbp-qtrotator" class="cbp-qtrotator">
					<?php for($k=0;$k<$quotes_count;$k++)
							{?>	
						<div class="cbp-qtcontent">
							
							<blockquote>
							  <p>
							  	<span><?php echo stripslashes($result[$k]->quote); ?></span>
							  </p>
							  <footer><?php echo stripslashes($result[$k]->author);?></footer>
							</blockquote>
						</div>
						<?php }?>
					</div>
		</div>
	<?php
		}//end of else
	
}//end of function
?>

